### Method

# FwupdPlugin Backend create_device

#### Declaration [src]

    FuDevice*
    fu_backend_create_device (
      FuBackend* self,
      const gchar* backend_id,
      GError** error
    )

#### Description [src]

Asks the backend to create a device (of the correct type) for a given device backend ID.

Available since: | 2.0.0

#### Parameters

`backend_id` | `const gchar*`
| A backend ID, typically a sysfs path.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuDevice`
| A `FuDevice` or `NULL` if not found or unimplemented.
| The caller of the method takes ownership of the data, and is responsible for freeing it.